/****************************************************************/
/* headers                                                      */
/****************************************************************/
#include <stdio.h>
	
/****************************************************************/
/* defines                                                      */
/****************************************************************/

/****************************************************************/
/* typedefs                                                     */
/****************************************************************/

/****************************************************************/
/* external function                                            */
/****************************************************************/

/****************************************************************/
/* function prototypes                                          */
/****************************************************************/
/*
 * operations on entire database
 */
extern DB *alloc_db();
extern int alloc_data( DB *db );
extern int allocate_data_matrices( DB *db );
extern int allocate_display_matrices( DB *db );
extern int allocate_subset_matrices( DB *db );
extern void init_db( DB * db );
extern int init_dim_mask( DB *db, int len );
extern void free_db( DB * );
extern void free_data( DB *db );
extern void init_rand( DB *db );
