#pragma once

#include <math.h>
#include <iostream>

using namespace std;

class COVFile
{
private:
	const char* filename;	//cov-filename
	int ndata;				//number of dataitems
	double** dataset;		//2D-dataset
	double value;			//for reading from file
	bool readsuccess;
	void ReadCOVFile(FILE* covfile);
public:
	COVFile(const char* filename);
	const char* GetFileName(){return filename;};
	double** GetData(){return dataset;};
	int GetNData(){return ndata;};
	bool ReadSuccess(){return readsuccess;};
	void Print();
};
