#pragma once

#include <math.h>
#include <iostream>

using namespace std;

class OKCFile
{
private:
	const char* filename;	//okc-filename
	int ndims;				//number of dimensions
	int ndata;				//number of data
	double** dataset;		//2D-dataset
	double *dim_min, *dim_max, *fac, value;
	bool readsuccess;
	void ReadOKCFile(FILE* okcfile);
public:
	OKCFile(const char* filename);
	const char* GetFileName(){return filename;};
	double** GetData(){return dataset;};
	int GetNDims(){return ndims;};
	int GetNData(){return ndata;};
	bool ReadSuccess(){return readsuccess;};
	void Print();
};
