#ifndef _BinarySimilarityCalculator_H
#define _BinarySimilarityCalculator_H

#include<string>
#include "SimilarityCalculator.h"

class BinarySimilarityCalculator : public SimilarityCalculator
{
protected:
    double* counts;
    double minor_weight;

public:
	BinarySimilarityCalculator();
	BinarySimilarityCalculator(int numDimensions);

	~BinarySimilarityCalculator();
	
    //update the calculator by added a data item
    bool Update(double* values);
	bool Calculate();

    void SetMinorWeight(double minor_weight);
    //initiate the calculator
    bool init(int numDimensions, int numBins);    
};

#endif

