#ifndef DocLabel_H
#define DocLabel_H

#include <string>
#include "DocElement.h"

class DocLabel : public DocElement
{
protected:
    std::string text;
    int dimID;
    float norValue;

    bool isMin;
    bool isMax;

public: 
    DocLabel();
	~DocLabel();

    void SetText(std::string str);
    void SetDimensionID(int id);
    void SetNorValue(float value);
    
    std::string GetText();
    int GetDimensionID();
    float GetNorValue();

    bool IsMin() { return isMin; }

    bool IsMax() { return isMax; }

    void SetMin(bool min) { isMin = min; }

    void SetMax(bool max) { isMax = max; }
};

#endif

