//Here, TimeHistogram means a TimeHistogram in a high dimensional space

#ifndef _DocTimeHistogram_H
#define _DocTimeHistogram_H

#include "DocElement.h"
#include "DimensionSpace.h"
#include "../Basic/Macros.h"

class DocTimeHistogram : public DocElement
{
protected:
    DimensionSpace* dimSpace;
    int* TimeHistogramNum;
    int binNum;
    int dimID;
    int *histogram;
    int maxNum;

    ISHash *itemHash;

public: 
    DocTimeHistogram(DimensionSpace* dimSpace);
	~DocTimeHistogram();

    void SetDimensionSpace(DimensionSpace* dimSpace);
    DimensionSpace* GetDimensionSpace();
    
    void SetBinNum(int binNum);
    int GetBinNum();

    void SetHistogram(int* histogram);
    int* GetHistogram();
   	
    void SetDimensionID(int ID);
	int GetDimensionID();

    int GetMaxNum();
    void SetMaxNum(int num);

    void SetItemHash(ISHash *hash) {itemHash = hash;}
    ISHash *GetItemHash() {return itemHash;}

};


#endif
