//GLFrame is a frame with a gl canvas in it. Basic canvas 
//operations, such as zooming, panning, image saving can be 
//performed in this frame

//if you need to create a "drawable" window, you can derived it from this class  

#ifndef VIDEO_PROCESS_FRAME_H
#define VIDEO_PROCESS_FRAME_H

#include <wx/wx.h>

enum       //USE 801 - 899
{ 
    MENU_OPENFREQFILE = 801,
    MENU_OPENCCFILES = 802,
};

class VideoProcessFrame : public wxFrame
{
protected:
 	wxMenuBar  *menuBar;

public:
	VideoProcessFrame(const wxChar *title, int xpos, int ypos, int width, int height);
	~VideoProcessFrame();

    void OpenFreqFile(wxCommandEvent& event);
    void OpenCCFiles(wxCommandEvent& event);

	DECLARE_EVENT_TABLE()
};


#endif

