#include <stdio.h>
#include "DimstackVisualBin.h"

DimstackVisualBin::DimstackVisualBin() : VisualBin()
{
//    flagPos = NULL;
//    flags = NULL;
}

DimstackVisualBin::~DimstackVisualBin()
{
/*    if (flagPos != NULL)
        delete [] flagPos;
    if (flags != NULL)
        delete [] flags;*/
}

void DimstackVisualBin::SetTexture(GLuint texture)
{
	this->texture = texture;
}

void DimstackVisualBin::SetMaskTexture(GLuint texture)
{
	this->maskTexture = texture;
}
//width: the width of the original texture object
void DimstackVisualBin::SetWidth(int width)        
{	
	this->width = width;
}

//height: the height of the origianl texture object
void DimstackVisualBin::SetHeight(int height)      
{
	this->height = height;
}

void DimstackVisualBin::SetXPosition(float x)
{
	xPos = x;
}

void DimstackVisualBin::SetYPosition(float y)
{
	yPos = y;
}

void DimstackVisualBin::SetZPosition(float z)
{
	zPos = z;
}

void DimstackVisualBin::SetXSize(float x)
{
	xSize = x;
}

void DimstackVisualBin::SetYSize(float y)
{
	ySize = y;
}

GLuint DimstackVisualBin::GetTexture()
{
	return texture;
}

//width: the width of the original texture object
int DimstackVisualBin::GetWidth()        
{	
	return width;
}

//height: the height of the origianl texture object
int DimstackVisualBin::GetHeight()      
{
	return height;
}

float DimstackVisualBin::GetXPosition()
{
    float size = GetXSize();
    if ( (xPos - size) < 0 )
        return size;
    else if ( (xPos + size) > 1 )
        return 1-size;
    else
    	return xPos;
}

float DimstackVisualBin::GetYPosition()
{
    float size = GetYSize();
    if ( (yPos - size) < 0 )
        return size;
    else if ( (yPos + size) > 1 )
        return 1-size;
    else
    	return yPos;
}

float DimstackVisualBin::GetZPosition()
{
	return zPos;
}

float DimstackVisualBin::GetXSize()
{
    if (width > height)
    	return xSize;
    else
        return xSize * ((float)width) / height;
}

float DimstackVisualBin::GetYSize()
{
    if (height > width)
        return ySize;
    else
        return ySize * ((float)height) / width;
}

/*
void DimstackVisualBin::ResetBinFlags(DimstackVisualAxes* axes)
{
    flagNum = axes->GetBinFlagNumber();
    flagPos = new Vec2 [flagNum];

    for (int i = 0; i < flatNum; i++)
    {
        flagPositions[i] = axes->GetFlagPosition(i);
    }
    for (int i = 0; i < flatNum; i++)
    {
        flagSizes[i] = axes->GetFlagSize(i);
    }
}

void DimstackVisualBin::SetBinFlags(int i, GLuint texture)
{
    flags[i] = texture;
}*/