#ifndef _GRAPH_VISUAL_AXES_H
#define _GRAPH_VISUAL_AXES_H

#include "../VisualAxes.h"
#include "GlyphDrawerSettings.h"

class VisualAxes;
class GlyphDrawerSettings;

class GlyphVisualAxes : public VisualAxes
{
protected:
    GlyphDrawerSettings* settings;

public:
	GlyphVisualAxes();
	~GlyphVisualAxes();

    void SetSettings(GlyphDrawerSettings* settings);

    void GetItemXYPos(int itemID, float &xPos, float&yPos);

    float GetItemZPos(int itemID); 

    void GetItemXYSize(int itemID, float &xSize, float &ySize);
};

#endif

