#include <stdio.h>
#include "VarVisualAxes.h"

VarVisualAxes::VarVisualAxes() : VisualAxes()
{
}

VarVisualAxes::~VarVisualAxes()
{
}

int VarVisualAxes::GetDimensionNum()
{
    return settings->GetTextureNum();
}

void VarVisualAxes::GetDimensionIDs(int* ids)
{
    settings->GetTextureIDs(ids);
}


void VarVisualAxes::SetSettings(VarDrawerSettings* settings)
{
    this->settings = settings;
}

void VarVisualAxes::GetDimensionXYPos(int itemID, float &xPos, float&yPos)
{
    settings->GetTextureXYPosition(itemID, xPos, yPos);
}

bool VarVisualAxes::IsLabelDimensionVisible(int itemID)
{
    return settings->IsLabelVisible(itemID);
}

float VarVisualAxes::GetDimensionZPos(int itemID)
{
    return settings->GetTextureZPosition(itemID);
}

void VarVisualAxes::GetDimensionXYSize(int itemID, float &xSize, float &ySize)
{
    settings->GetTextureXYSize(itemID, xSize, ySize);
}