#include <stdio.h>
#include "GlyphVisualAxes.h"

GlyphVisualAxes::GlyphVisualAxes() : VisualAxes()
{
}

GlyphVisualAxes::~GlyphVisualAxes()
{
}

void GlyphVisualAxes::SetSettings(GlyphDrawerSettings* settings)
{
    this->settings = settings;
}

void GlyphVisualAxes::GetItemXYPos(int itemID, float &xPos, float&yPos)
{
    settings->GetTextureXYPosition(itemID, xPos, yPos);
}

float GlyphVisualAxes::GetItemZPos(int itemID)
{
    return settings->GetTextureZPosition(itemID);
}

void GlyphVisualAxes::GetItemXYSize(int itemID, float &xSize, float &ySize)
{
    settings->GetTextureXYSize(itemID, xSize, ySize);
}