#ifndef _VISUAL_AXES_META_H
#define _VISUAL_AXES_META_H

#include <stdio.h>
#include "VisualElementMeta.h"

class VisualAxesMeta : public VisualElementMeta 
{
protected:
    bool dimXYFromDataSet;
    bool itemXYFromDataSet;
    bool binXYFromDataSet;
 
public:
    VisualAxesMeta() {dimXYFromDataSet = false; itemXYFromDataSet = false; binXYFromDataSet = false;}
    virtual ~VisualAxesMeta() {}

    VisualElement* InstantVisualElement() {return NULL;}
    virtual void Convert(VisualElement* visualEle, DocElement* docEle) {}
    bool IsDimXYNeededFromDataSet() {return dimXYFromDataSet;}
    bool IsItemXYNeededFromDataSet() {return itemXYFromDataSet;}
    bool IsBinXYNeededFromDataSet() {return binXYFromDataSet;}
};

#endif

