#ifndef _VISUAL_Data_H
#define _VISUAL_Data_H

#include "VisualElement.h"
#include "TableDrawer.h"
class VisualElement;

class VisualRow : public VisualElement
{
protected:
    bool isCluster;
    RGBt color;
public:
	VisualRow();
	~VisualRow();
	
	void Draw(TableDrawer *drawer);
    bool IsCluster();
    void OnOffCluster(bool isCluster);  
    void SetColor(RGBt color) {this->color = color;}
    RGBt GetColor() {return color;}

};

#endif

