#ifndef _VISUALROW_META_H
#define _VISUALROW_META_H

#include "VisualElementMeta.h"

class VisualRowMeta : public VisualElementMeta
{
protected:
    bool showDimCluster;
    bool showBand;
    bool brushed;
    bool* notLoad;     //tell the document manager if a row needs to be reloaded

public:
	VisualRowMeta();
//	VisualRowMeta(TableDrawer* drawer);
	virtual ~VisualRowMeta();

    bool IsShowBand() {return showBand;}
    bool IsShowDimCluster() {return showDimCluster;}
    bool IsBrushed() {return brushed;}

    
    bool* GetNotLoads() {return notLoad;}

//    virtual VisualElement* InstantVisualElement();
//    virtual void Convert(VisualElement* visualData, DocElement* data);
};

#endif

