// This class is used for showing progress dialog or 
// message dialog to users so that users can be notified system progress or 
// error messages


#ifndef UserNotifier_H
#define UserNotifier_H

#include <wx/wx.h>
#include <wx/progdlg.h>
#include <string>

class UserNotifier 
{
private:
    static wxProgressDialog *progressDlg; 

public:
    static void CreateProgressDialog(std::string title, std::string message, int max);
    static bool UpdateProgressDialog(int progress, std::string message);
    static void DeleteProgressDialog();
    static void ShowMessageDialog(std::string title, std::string message);


};


#endif

