#ifndef FILE_H
#define FILE_H

/****************************************************************/
/* headers														*/
/****************************************************************/
#include <stdio.h>

/****************************************************************/
/* defines														*/
/****************************************************************/

/****************************************************************/ 
/* typedefs														*/
/****************************************************************/

/****************************************************************/ 
/* function prototypes											*/
/****************************************************************/
extern int init_files( DB *db );
extern void load_db( void *data );
extern void sim_db( void *data, int dims, int count, int clust );
extern void report_db( void *data );
extern void quit( void *data );

extern void report_config( DB *db );
extern int simulate_data( DB *db, int dims, int count, int num_clusters );

extern char *read_quoted_string( char *buf, char *str );
extern char *read_string( char *buf, char *str );
extern void tolower_string( char *str );
extern int skip_comments( FILE *fp );
extern char *mstrdup( char *str );

#endif
