#ifndef ANIMATE_H
#define ANIMATE_H

/****************************************************************/
/* headers                                                      */
/****************************************************************/

/****************************************************************/
/* defines                                                      */
/****************************************************************/
#define PAUSED		0
#define RUNNING		1

/****************************************************************/
/* typedefs                                                     */
/****************************************************************/
typedef struct animate{
	long		max_iteration;
	long		cur_iteration;
	double		frames_per_sec;
	BOOLEAN		save_frames;
	BOOLEAN		interpolate;
	int			interp_steps;
	long		start_save_iter;
	long		end_save_iter;
	int			save_skip;
	char		*frame_base;
	int			state;
	}ANIMATE;

/****************************************************************/
/* external function                                            */
/****************************************************************/

/****************************************************************/
/* function prototypes                                          */
/****************************************************************/
/*
 * MDS menu callbacks
 */
extern void update_counter( long count );
extern void animate_db( void *data ); 

#endif
