#pragma once

#include <vector>

#include "OKCFile.h"
#include "COVFile.h"
#include <ctime>
#include <cstdlib>

//using namespace System::Windows::Forms;

class FastClustering
{

private:
	void Cluster(OKCFile* okcf,double quality);
	void Cluster(COVFile* covf,double quality);
	FILE* OpenCGFile(OKCFile* okcf);
	FILE* OpenCGFile(COVFile* covf);
	void CloseCGFile(FILE* cgfile);
	void WriteToCGFile(FILE* cgfile, vector<int>* cluster, OKCFile *okcf, int nodeid, int parentid);
	void WriteToCGFile(FILE* cgfile, vector<int>* cluster, COVFile *covf, int nodeid, int parentid);
	vector<double> GetCGData(vector<int>* cluster,OKCFile *okcf);
	vector<int> GetCGData(vector<int>* cluster,COVFile *covf);
	double BinarySimilarity(double* dataA,double* dataB,int ndims);
public:
	FastClustering(const char* okcfilename,int opt,double quality);


};