#include "macros.h"

wxProgressDialog *progressDlg; 

void CreateProgressDialog(std::string title, std::string message, int max)
{
    progressDlg = new wxProgressDialog(title, message, max, 
        NULL, wxPD_AUTO_HIDE | wxPD_APP_MODAL | wxPD_CAN_ABORT);
    progressDlg->CenterOnScreen();
    progressDlg->SetSize(200, 400, 600, 200);
    progressDlg->Show(true);
}

bool UpdateProgressDialog(int progress, std::string message)
{
    progressDlg->Update(progress, message.c_str());
}

void DeleteProgressDialog()
{
    delete progressDlg;
}
