#ifndef _DATA_BUFFER_ITERATOR_H
#define _DATA_BUFFER_ITERATOR_H

#include "../Basic/Iterator.h"
#include "DataBuffer.h"

union Data;
class DataBuffer;

class DataBufferIterator : public Iterator
{
protected:
    DataBuffer* dataBuffer;
    int startPosition;
    int interval;
    int nextPosition;
    int bufferSize;


public:
	DataBufferIterator(DataBuffer* dataBuffer, 
        int startPosition, int interval);

	void* GetNext();

	bool IsDone();

	~DataBufferIterator();
};

#endif
