#include "DimensionNameIterator.h"


DimensionNameIterator::DimensionNameIterator(DimensionSpace* dimSpace)
{
	this->dimSpace = dimSpace;

    docLabel= new DocLabel();
    docLabel->SetNorValue(1.);
    dimNum = dimSpace->GetSize();
    counter = 0;
}	

DimensionNameIterator:: ~DimensionNameIterator()
{
	delete docLabel;
}

void* DimensionNameIterator::GetNext()
{
    dim = dimSpace->GetDimension(counter);
    docLabel->SetText(dim->GetDimensionName());
    docLabel->SetDimensionID(dim->GetDimensionID());
    counter ++;
	return docLabel;
}


bool DimensionNameIterator::IsDone()
{
    if (counter < dimNum)
        return false;
    else
        return true;
}


