#ifndef _KEYWORD_PROCESS_H
#define _KEYWORD_PROCESS_H

#include <string>
#include <fstream>

#include <wx/hashmap.h>

WX_DECLARE_STRING_HASH_MAP(int, SIHash);

class KeywordProcess
{
protected:
    SIHash typeHash;
    SIHash freqHash;

public:
    KeywordProcess();
    ~KeywordProcess();
    bool AddFreqFile(std::string fileName);
    bool MakeOKCFile(wxString path, wxArrayString *filenames);
    void GetKeywordExists(std::string filename, int keywordNum, std::string *keywords, int *exists);
    std::string GetTimeString(std::string filename);
    std::string GetVideoName(std::string filename);

    void Output();
};


#endif

