#include "DimstackVisualAxesMeta.h"
#include "DimstackVisualAxes.h"
#include "../../DataStructure/DocAxes.h"
#include "../../MainApplication.h"
#include "DimstackDrawerSettings.h"

DimstackVisualAxesMeta::DimstackVisualAxesMeta(DimstackDrawer* drawer)
{
//    this->drawer = drawer;
    settings = (DimstackDrawerSettings *)drawer->GetSettings();
//
    binXYFromDataSet = settings->IsXYFromDataSet();
}

DimstackVisualAxesMeta::~DimstackVisualAxesMeta()
{
}


VisualElement* DimstackVisualAxesMeta::InstantVisualElement()
{
    DimstackVisualAxes* visAxes = new DimstackVisualAxes();
    
    return visAxes;
}

void DimstackVisualAxesMeta::Convert(VisualElement* visualEle, DocElement* docEle)
{
    DimstackVisualAxes* visualAxes = (DimstackVisualAxes *)visualEle;
    DocAxes* docAxes = (DocAxes *)docEle;
    visualAxes->SetDimensionSpace(docAxes->GetDimensionSpace());

/*    if (settings->IsXYFromDataSet())
    {
        Vec2* p;
        IPHash* xyHash = docAxes->GetBinXYPosHash();
        IPHash::iterator it;
        for( it = xyHash->begin(); it != xyHash->end(); ++it )
        {
            p = (Vec2*)(it->second);
            settings->SetTextureXYPosition(it->first, p->X, p->Y);
        }
        settings->SetXYFromDataSet(false);
    }*/
    settings->SetSelectedTextureHash(docAxes->GetSelectedBinHash());
    visualAxes->SetSettings(settings);
}