#ifndef _Glyph_VISUAL_AXES_META_H
#define _Glyph_VISUAL_AXES_META_H

#include "../VisualAxesMeta.h"
#include "GlyphDrawer.h"
#include "GlyphDrawerSettings.h"

class GlyphDrawer;

class GlyphVisualAxesMeta : public VisualAxesMeta 
{
protected:
    GlyphDrawer* drawer;
    GlyphDrawerSettings* settings; 
	float xSize;
	float ySize;

public:
    GlyphVisualAxesMeta(GlyphDrawer* drawer);
	~GlyphVisualAxesMeta();

    VisualElement* InstantVisualElement();
    void Convert(VisualElement* visualEle, DocElement* docEle);
};

#endif

