#ifndef _PARCOORD_VISUAL_RULER_META_H
#define _PARCOORD_VISUAL_RULER_META_H

#include "../VisualElementMeta.h"
#include "ParcoordDrawer.h"
#include "ParcoordVisualAxes.h"
#include "../VisualElementsIterator.h"

class VisualElementsIterator;
class ParcoordDrawer;

class ParcoordVisualRulerMeta : public VisualElementMeta 
{
protected:
    Layer* axesLayer;
    VisualElementsIterator *visAxesIter;
    VisualElementMeta *axesMeta;
    Iterator *axesIter; 

    ParcoordDrawer* drawer;
    ParcoordVisualAxes *axes;
    
    RGBt color;
    float length;

public:
    ParcoordVisualRulerMeta();
	ParcoordVisualRulerMeta(ParcoordDrawer* drawer, DocumentManager* docManager, 
        RGBt color, float length);
	~ParcoordVisualRulerMeta();

    VisualElement* InstantVisualElement();
    void Convert(VisualElement* visualEle, DocElement* docEle);
};

#endif

