#ifndef _VISUAL_AXES_H
#define _VISUAL_AXES_H

#include "VisualElement.h"
#include "TableDrawer.h"
class VisualElement;

class VisualAxes : public VisualElement
{
protected:
    int dimNum;
    bool* isLeafDim;  //record if each dimension is a leaf or non-leaf dimension
 
public:
	VisualAxes();
	~VisualAxes();

    void Draw(TableDrawer *drawer);
    
    bool IsLeafDimension(int dimID);
    void SetLeafDimension(int dimID, bool leafDim);
	virtual bool SetDimensionNum(int dimNum);
/*    int GetDimensionNum();
//	bool IsLeafDimension(int dimID);
    virtual bool SetDimensionNum();
    bool SetNonLeafDimension(int dimID);
*/

};

#endif

