#include <stdio.h>
#include "VisualElementMeta.h"
#include "../basic/macros.h"

VisualElementMeta::VisualElementMeta()
{
    useCounter = false;
    howGet = NULL;
}

VisualElementMeta::VisualElementMeta(TableDrawer* drawer)
{
    useCounter = false;
    howGet = NULL;
}

VisualElementMeta::~VisualElementMeta()
{
    if (howGet != NULL)
        delete [] howGet;
}

VisualElement* VisualElementMeta::InstantVisualElement()
{
    VisualElement* visEle = new VisualElement();
    
    return visEle;
}

void VisualElementMeta::Convert(VisualElement* visualEle, DocElement* docEle)
{
}

void VisualElementMeta::SetUpCounter(int num)
{
    if (num < 0)
        return;
    
    if (howGet != NULL)
        delete [] howGet;

    useCounter = true;
    count = 0;
    totalNum = num;
    howGet = new int [num];
}

bool VisualElementMeta::IsDone()
{
    if (count >= totalNum)
        return true;
    else
        return false;
}

int VisualElementMeta::GetNextHowGet()
{
    if (count >= totalNum)
        return UNKNOWN;
    else
    {
        int i = howGet[count];
        count ++;
        return i;
    }
}
