#ifndef _VisualElementsIterator_H
#define _VisualElementsIterator_H

#include "../Basic/Iterator.h"
#include "VisualElementMeta.h"
#include "VisualElement.h"

class VisualElementMeta; 

class VisualElementsIterator : public Iterator
{
protected:
    VisualElementMeta* meta;
    Iterator* eleIter;
    VisualElement* visEle;

public:
    VisualElementsIterator(VisualElementMeta *meta, Iterator *eleIter);
	~VisualElementsIterator();

    void* VisualElementsIterator::GetNext();
    bool VisualElementsIterator::IsDone();
};

#endif
