#include "VisualLabel.h"

VisualLabel::VisualLabel()
{
    z = 0;
    visible = true;
}

VisualLabel::~VisualLabel()
{
}

void VisualLabel::Draw(TableDrawer *drawer)
{
    if (visible)
        drawer->DrawLabel(this);
}

void VisualLabel::SetText(std::string str)
{
    text = str;
}

void VisualLabel::SetVisible(bool visible)
{
    this->visible = visible;
}


void VisualLabel::SetX(float x)
{
    this->x = x;
}

void VisualLabel::SetY(float y)
{
    this->y = y;
}

void VisualLabel::SetZ(float z)
{
    this->z = z;
}

void VisualLabel::SetAngle(float angle)
{
    this->angle = angle;
}

void VisualLabel::SetScale(float scale)
{
    this->scale = scale;
}

/*
void VisualLabel::SetForegroundColor(RGBt fgColor)
{
    this->fgColor = fgColor;
}

void VisualLabel::SetBackgroundColor(RGBt bgColor)
{
    this->bgColor = bgColor;
}
*/

std::string VisualLabel::GetText()
{
    return text;
}

float VisualLabel::GetX()
{
    return x;
}

float VisualLabel::GetY()
{
    return y;
}

float VisualLabel::GetZ()
{
    return z;
}

float VisualLabel::GetAngle()
{
    return angle;
}

float VisualLabel::GetScale()
{
    return scale;
}

/*
RGBt VisualLabel::GetForegroundColor()
{
    return fgColor;
}

RGBt VisualLabel::GetBackgroundColor()
{
    return bgColor;
}
*/
